package com.ruoyi.project.training.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 人员-装置级培训关系对象 t_trainingbcc_device
 *
 * @author ssy
 * @date 2024-06-19
 */
public class TTrainingbccDevice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 人员员工号 */
    @Excel(name = "人员员工号")
    private String staffId;

    /** 装置级培训ID */
    @Excel(name = "装置级培训ID")
    private Long regularId;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 是否为补培人员 */
    @Excel(name = "是否为补培人员")
    private String supplementary;

    /** 学习状态 */
    @Excel(name = "学习状态")
    private Long learnState;

    /** 考试状态 */
    @Excel(name = "考试状态")
    private Long examState;

    /** 考试ID */
    @Excel(name = "考试ID")
    private Long examId;

    private Integer examNum;

    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date examDate;

    private String name;

    /** 学习时长min */
    @Excel(name = "学习时长min")
    private Long learnTime;

    /** 年份 */
    private String year;

    private String units;

    private TTrainingbcc trainingbcc;
    private String trainingType;

    private Integer isLock;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }


    public String getTrainingType() {
        return trainingType;
    }

    public void setTrainingType(String trainingType) {
        this.trainingType = trainingType;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStaffId(String staffId)
    {
        this.staffId = staffId;
    }

    public String getStaffId()
    {
        return staffId;
    }
    public void setRegularId(Long regularId)
    {
        this.regularId = regularId;
    }

    public Long getRegularId()
    {
        return regularId;
    }
    public void setStartDate(Date startDate)
    {
        this.startDate = startDate;
    }

    public Date getStartDate()
    {
        return startDate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setSupplementary(String supplementary)
    {
        this.supplementary = supplementary;
    }

    public String getSupplementary()
    {
        return supplementary;
    }
    public void setLearnState(Long learnState)
    {
        this.learnState = learnState;
    }

    public Long getLearnState()
    {
        return learnState;
    }
    public void setExamState(Long examState)
    {
        this.examState = examState;
    }

    public Long getExamState()
    {
        return examState;
    }
    public void setExamId(Long examId)
    {
        this.examId = examId;
    }

    public Long getExamId()
    {
        return examId;
    }
    public void setLearnTime(Long learnTime)
    {
        this.learnTime = learnTime;
    }

    public Long getLearnTime()
    {
        return learnTime;
    }

    public TTrainingbcc getTrainingbcc() {
        return trainingbcc;
    }

    public void setTrainingbcc(TTrainingbcc trainingbcc) {
        this.trainingbcc = trainingbcc;
    }

    public Integer getExamNum() {
        return examNum;
    }

    public void setExamNum(Integer examNum) {
        this.examNum = examNum;
    }

    public Date getExamDate() {
        return examDate;
    }

    public void setExamDate(Date examDate) {
        this.examDate = examDate;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getUnits() {
        return units;
    }

    public void setUnits(String units) {
        this.units = units;
    }

    public Integer getIsLock() {
        return isLock;
    }

    public void setIsLock(Integer isLock) {
        this.isLock = isLock;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("staffId", getStaffId())
            .append("regularId", getRegularId())
            .append("startDate", getStartDate())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("supplementary", getSupplementary())
            .append("learnState", getLearnState())
            .append("examState", getExamState())
            .append("examId", getExamId())
            .append("learnTime", getLearnTime())
            .toString();
    }
}
